using System;
using System.Data;
using System.Collections.Generic;
using DotNet.FrameWork.Data;
using HaTeam.Dd.Model;
namespace HaTeam.Dd.BLL
{
	/// <summary>
	/// Dd_Text
	/// </summary>
	public partial class Dd_Text
	{
		private readonly HaTeam.Dd.DAL.Dd_Text dal=new HaTeam.Dd.DAL.Dd_Text();
		public Dd_Text()
		{}
		#region  Method

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int Text_ID)
		{
			return dal.Exists(Text_ID);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(HaTeam.Dd.Model.Dd_Text model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HaTeam.Dd.Model.Dd_Text model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int Text_ID)
		{
			
			return dal.Delete(Text_ID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string Text_IDlist )
		{
			return dal.DeleteList(Text_IDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HaTeam.Dd.Model.Dd_Text GetModel(int Text_ID)
		{
			
			return dal.GetModel(Text_ID);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
		public HaTeam.Dd.Model.Dd_Text GetModelByCache(int Text_ID)
		{
			
			string CacheKey = "Dd_TextModel-" + Text_ID;
			object objModel = DataCache.GetCache(CacheKey);
			if (objModel == null)
			{
				try
				{
					objModel = dal.GetModel(Text_ID);
					if (objModel != null)
					{
						int ModelCache = ConfigHelper.GetConfigInt("ModelCache");
						DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
					}
				}
				catch{}
			}
			return (HaTeam.Dd.Model.Dd_Text)objModel;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HaTeam.Dd.Model.Dd_Text> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HaTeam.Dd.Model.Dd_Text> DataTableToList(DataTable dt)
		{
			List<HaTeam.Dd.Model.Dd_Text> modelList = new List<HaTeam.Dd.Model.Dd_Text>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				HaTeam.Dd.Model.Dd_Text model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new HaTeam.Dd.Model.Dd_Text();
					if(dt.Rows[n]["Text_ID"].ToString()!="")
					{
						model.Text_ID=int.Parse(dt.Rows[n]["Text_ID"].ToString());
					}
					if(dt.Rows[n]["User_ID"].ToString()!="")
					{
						model.User_ID=int.Parse(dt.Rows[n]["User_ID"].ToString());
					}
					model.Text_Title=dt.Rows[n]["Text_Title"].ToString();
					model.Text_Content=dt.Rows[n]["Text_Content"].ToString();
					model.Text_Tag=dt.Rows[n]["Text_Tag"].ToString();
					if(dt.Rows[n]["Text_OriginId"].ToString()!="")
					{
						model.Text_OriginId=int.Parse(dt.Rows[n]["Text_OriginId"].ToString());
					}
					if(dt.Rows[n]["Text_PublishMode"].ToString()!="")
					{
						model.Text_PublishMode=int.Parse(dt.Rows[n]["Text_PublishMode"].ToString());
					}
					if(dt.Rows[n]["Text_PutTop"].ToString()!="")
					{
						if((dt.Rows[n]["Text_PutTop"].ToString()=="1")||(dt.Rows[n]["Text_PutTop"].ToString().ToLower()=="true"))
						{
						model.Text_PutTop=true;
						}
						else
						{
							model.Text_PutTop=false;
						}
					}
					if(dt.Rows[n]["Text_Fever"].ToString()!="")
					{
						model.Text_Fever=int.Parse(dt.Rows[n]["Text_Fever"].ToString());
					}
					model.Text_Guid=dt.Rows[n]["Text_Guid"].ToString();
					if(dt.Rows[n]["Text_Datetime"].ToString()!="")
					{
						model.Text_Datetime=DateTime.Parse(dt.Rows[n]["Text_Datetime"].ToString());
					}
					if(dt.Rows[n]["Text_UpDatetime"].ToString()!="")
					{
						model.Text_UpDatetime=DateTime.Parse(dt.Rows[n]["Text_UpDatetime"].ToString());
					}
					if(dt.Rows[n]["Text_Verify"].ToString()!="")
					{
						model.Text_Verify=int.Parse(dt.Rows[n]["Text_Verify"].ToString());
					}
					if(dt.Rows[n]["Text_Lock"].ToString()!="")
					{
						model.Text_Lock=int.Parse(dt.Rows[n]["Text_Lock"].ToString());
					}
					if(dt.Rows[n]["Text_State"].ToString()!="")
					{
						model.Text_State=int.Parse(dt.Rows[n]["Text_State"].ToString());
					}
					if(dt.Rows[n]["Text_Delete"].ToString()!="")
					{
						model.Text_Delete=int.Parse(dt.Rows[n]["Text_Delete"].ToString());
					}
					if(dt.Rows[n]["Text_Count"].ToString()!="")
					{
						model.Text_Count=int.Parse(dt.Rows[n]["Text_Count"].ToString());
					}
					if(dt.Rows[n]["Text_Order"].ToString()!="")
					{
						model.Text_Order=int.Parse(dt.Rows[n]["Text_Order"].ToString());
					}
					model.Text_Remark=dt.Rows[n]["Text_Remark"].ToString();
					model.Text_Empty=dt.Rows[n]["Text_Empty"].ToString();
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

